#ifndef _BOARD_H_
#define _BOARD_H_

#include <vector>
#include <string>

class Board {
public:
  // CONSTRUCTOR
  Board(unsigned int w, unsigned int h);
  // ACCESSORS
  unsigned int width() const { return width_; }
  unsigned int height() const { return height_; }
  char get(unsigned int y, unsigned int x) const; 
  // MODIFIER
  void set(unsigned int x, unsigned int y, unsigned int v);
private:
  // REPRESENTATION
  unsigned int height_;
  unsigned int width_;
  std::vector<std::vector<char> > board;
};

// PRINT FUNCTION
std::ostream& operator<<(std::ostream& ostr, const Board &b);

#endif
